### Method

# Gimp ProcedureConfig set_values

#### Declaration [src]

    void
    gimp_procedure_config_set_values (
      GimpProcedureConfig* config,
      const GimpValueArray* values
    )

#### Description [src]

Sets the values from `values` on `config`‘s properties.

The number, order and types of values in `values` must match the number, order and types of `config`‘s properties.

This function is meant to be used on `values` which are passed as arguments to the `run()` function of the `GimpProcedure` which created this `config`. See `gimp_procedure_create_config()`.

Available since: | 3.0

#### Parameters

`values` | `GimpValueArray`
| A `GimpValueArray`.
| The data is owned by the caller of the function.